import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:twister/common/cubit/nav/nav_cubit_pages.dart';

import 'package:twister/cubit/activity/activity_cubit.dart';

class ApplicationConfig {
  static const String parameterCodeTimerValue = 'timer';

  static const String timerValueMedium = 'medium';

  static final ApplicationConfigDefinition config = ApplicationConfigDefinition(
    appTitle: 'Twister',
    activitySettings: [
      // timer value
      ApplicationSettingsParameter(
        code: parameterCodeTimerValue,
        values: [
          ApplicationSettingsParameterItemValue(
            value: timerValueMedium,
            isDefault: true,
          ),
        ],
      ),
    ],
    startNewActivity: (BuildContext context) {
      BlocProvider.of<ActivityCubit>(context).startNewActivity(context);
      BlocProvider.of<NavCubitPage>(context).goToPageGame();
    },
    deleteCurrentActivity: (BuildContext context) {
      BlocProvider.of<ActivityCubit>(context).deleteSavedActivity();
    },
    resumeActivity: (BuildContext context) {
      BlocProvider.of<ActivityCubit>(context).resumeSavedActivity();
      BlocProvider.of<NavCubitPage>(context).goToPageGame();
    },
  );
}
